git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Troubles upgrading from 2.20.2 to 2.21.0


On 2018/03/21 12:16:17, Claus Ibsen <claus.ibsen@xxxxxxxxx> wrote: 
> Hi
> 
> I think you should ask the Apache Syncope team as its their
> integration with Camel.
> It sounds like some classpath problem.

Well, I am part of the Syncope team :-)

I am asking here because the problem below only occurs after upgrade to Camel 2.21.0.

Any more details about the direction in which I should investigate?

Regards.

> On Wed, Mar 21, 2018 at 1:04 PM, Francesco Chicchiriccò
> <ilgrosso@xxxxxxxxxx> wrote:
> > Hi all,
> > in Syncope we have a Camel-based extension, whose initialization has been working fine so far (up until Camel 2.20.2) but fails with the recent Camel 2.21.0.
> >
> > In particular, the following exception is raised during Syncope Core webapp initialization [1]:
> >
> > org.apache.camel.RuntimeCamelException: java.util.NoSuchElementException
> >         at org.apache.camel.util.ObjectHelper.wrapRuntimeCamelException(ObjectHelper.java:1830) ~[camel-core-2.21.0.jar:2.21.0]
> >         at org.apache.camel.spring.SpringCamelContext.start(SpringCamelContext.java:136) ~[camel-spring-2.21.0.jar:2.21.0]
> >         at org.apache.syncope.core.provisioning.camel.SyncopeCamelContext.getContext(SyncopeCamelContext.java:75) ~[syncope-ext-camel-provisioning-2.1.0-SNAPSHOT.jar:2.1.0-SNAPSHOT]
> >
> > As you can see, the CamelContext is fed with route definitions by the loadContext() method, which parses some XML snippets as [2] for example.
> >
> > Any idea about why the exception above is raised with 2.21.0?
> >
> > TIA
> > Regards.
> >
> > [1] https://github.com/apache/syncope/blob/master/ext/camel/provisioning-camel/src/main/java/org/apache/syncope/core/provisioning/camel/SyncopeCamelContext.java#L75
> > [2] https://github.com/apache/syncope/blob/master/ext/camel/provisioning-camel/src/main/resources/userRoutes.xml